#ifndef PTOFID_H
#define PTOFID_H
#include <iostream>
#include "pHitID.h"

using std::cout;
using std::endl;

class pTofID :public pHitID {

public:

    pTofID(const char *c=0){ SetHitID(c); }

    void SetHitID(const char *c){
      int *temp =(int *) c;
      _ipltof=*temp++;
      _ipaddle=*temp;
    }

    int GetIpltof() const {return _ipltof;}
    int GetIpaddle() const {return _ipaddle;}
    void SetIpltof(const int & i){_ipltof=i;}
    void SetIpaddle(const int & i){_ipaddle=i;}

    void Print() {
	cout <<  "pTofID : Ipltof, Ipaddle = " 
	     << GetIpltof() <<", " << GetIpaddle() << endl;
    }

private:

    int _ipltof;
    int _ipaddle;

  
};

#endif //PTOFID_H
